#ifndef ARDIO_COMMON_H_
#define ARDIO_COMMON_H_

// バージョン文字列
#define ARDIO_VERSION_STRING      "1.00"

// シリアルポートのボー・レート
#define SERIAL_BAUD               9600  // (bps)

// シリアル受信データ用リングバッファのサイズ
#define RXB_LENGTH                256   // (byte)
// 構文解析用ラインバッファのサイズ
#define LINEB_LENGTH              80    // (byte)

// 字句分解作業フィールドサイズ
#define FIELD_LENGTH              10    // (byte)

// 結線マクロのブロックサイズ
#define WIRECODE_BLOCK_SIZE       256   // (byte)
// 結線マクロ総ブロック数
#define NUM_BLOCKS                4

// タイマー実行間隔
#define TIMER_TICK_MS             10    // (ms)
// タイマー実行反復回数
#define ITERATION_PASSES          8
// 半固定抵抗最大値 デフォルト値 (未結線or範囲外時に使用)
#define POTMETER_DEFAULT_VALUE    1024
// カウンター倍率値 上限値
#define TIMER_MULT_MAX            200

// ウォッチドッグリセット継続カウンターのリロード値
#define WDT_RESET_TIMEOUT_X256MS  10    // (x256 ms)

// ピン番号定義
extern const char PIN_RELAY[4];
extern const char PIN_PHOTOCOUPLER[4];
extern const char PIN_JUMPER[6];
extern const char PIN_POTMETER[4];

#endif

