#include "ctypex.h"
#include <ctype.h>

// 複数文字に isdigit() によるチェックを実行
// 対象の文字全てが十進の数字であれば true、そうでなければ false を返却
bool isdigitn(char* _s, int _n) {
  bool result = true;

  for (int i = 0; i < _n; i++) {
    if (!isdigit(*_s++)) {
      result = false;
    }
  }
  return result;
}

// 複数文字に isxdigit() によるチェックを実行
// 対象の文字全てが十六進の数字であれば true、そうでなければ false を返却
bool isxdigitn(char* _s, int _n) {
  bool result = true;

  for (int i = 0; i < _n; i++) {
    if (!isxdigit(*_s++)) {
      result = false;
    }
  }
  return result;
}

// 文字列の先頭から続く、十進の数字の数を求める
int consecutiveDigits(char* _s) {
  int result = 0;

  while (*_s && isdigit(*_s++)) {
    result++;
  }
  return result;
}

// 十六進の数字を数値に変換
int c2b(char _c) {
  int result = 0;

  if (_c >= '0' && _c <= '9') {
    result = _c - '0';
  } else if (_c >= 'A' && _c <= 'F') {
    result = 10 + _c - 'A';
  } else if (_c >= 'a' && _c <= 'f') {
    result = 10 + _c - 'a';
  }
  return result;
}

